function find_BL_pushbutton(hObject, eventdata)

global var h

xlim(h.image,[0 var.Imsize(2)/3])
ylim(h.image,[0 var.Imsize(1)/3])
% set(h.image,'xlim',[0 var.Imsize(1)/3])
% set(h.image,'ylim',[0 var.Imsize(2)/3])

if isfield(h,'BLpoint') && ishandle(h.BLpoint)
    var.BL = [];
    delete(h.BLpoint);
end

[x,y] = ginput(1);
var.BL = ceil([x y]);

hold on
h.BLpoint = plot(var.BL(1),var.BL(2),'oy');
hold off

xlim(h.image,[0 var.Imsize(2)])
ylim(h.image,[0 var.Imsize(1)])

set(h.buttons.BLbutton,'backgroundcolor','w')

if isfield(h,'BRpoint') && isfield(h,'TLpoint') && ishandle(h.BRpoint) && ishandle(h.TLpoint)
    set(h.buttons.BLbutton,'backgroundcolor','w')
    set(h.buttons.TLbutton,'backgroundcolor','w')
    set(h.buttons.BRbutton,'backgroundcolor','w')
    set(h.frame.Corners,'backgroundcolor','w')
    set(h.buttons.gridbutton,'visible','on','backgroundcolor','r')
    set(h.buttons.accept_grid,'visible','on','backgroundcolor','w')
    set(h.buttons.reject_grid,'visible','on','backgroundcolor','w')
    set(h.frame.Grid,'backgroundcolor','r')
    set(h.text.Grid,'visible','off')
    set(h.text.info,'string','Draw Grid')
end

end

